Lock envelope
Locks the specified envelope, and sets the time until the lock expires, to prevent other users or recipients from accessing and changing the envelope.
Note: Users must have envelope locking capability enabled to use this function (userSetting canLockEnvelopes must be set to true for the user).
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
Request
This endpoint expects an object: lockRequest
Reserved for future use.
Indicates whether a scratchpad is used for editing information.
Response
Sets the time, in seconds, until the lock expires when there is no activity on the envelope.
If no value is entered, then the default value of 300 seconds is used. The maximum value is 1,800 seconds.
The lock duration can be extended.
Reserved for future use.
Indicates whether a scratchpad is used for editing information.